#!/bin/bash

echo "Installing ZEsarUX under /usr/local ..."

mkdir -p /usr/local
mkdir -p /usr/local/bin
mkdir -p /usr/local/share/zesarux/

cp zesarux /usr/local/bin/
cp *.rom zxuno.flash /usr/local/share/zesarux/

cp mantransfev3.bin /usr/local/share/zesarux/

cp -r speech_filters /usr/local/share/zesarux/
cp -r some_old_soft_by_me /usr/local/share/zesarux/

cp ACKNOWLEDGEMENTS Changelog HISTORY LICENSE LICENSE_MOTOROLA_CORE LICENSE_SCMP_CORE README FEATURES INSTALL INSTALLWINDOWS ALTERNATEROMS INCLUDEDTAPES FAQ /usr/local/share/zesarux/
find /usr/local/share/zesarux/ -type f -print0| xargs -0 chmod 444

#chmod +x /usr/local/share/zesarux/macos_say_filter.sh
chmod +x /usr/local/share/zesarux/speech_filters/*

echo "Install done"

